Page MenuHomePhabricator

Use consistent preferences icon in Echo
Closed, ResolvedPublic

Description

Use the consistent gear icon from T52843 in Echo.

Event Timeline

Mattflaschen-WMF assigned this task to Mlawnik.
Mattflaschen-WMF raised the priority of this task from to Normal.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF changed Security from none to None.
Mattflaschen-WMF added subscribers: Unknown Object (MLST), Qgil, Quiddity and 10 others.



This will have to be uploaded in Gerrit and Melange as well (code actually does not need to be uploaded here, just the other two places).

Tested it works, will clean up and upload patch tomorrow. Couldn't use background-image-svg as it caused duplication of icons.

Final effect:

In T76513#802326, @Mattflaschen wrote:

This will have to be uploaded in Gerrit and Melange as well (code actually does not need to be uploaded here, just the other two places).

I saw that Melange has a URL option. So you don't actually need to upload to there. Just add the Gerrit URL to Melange.

Couldn't use background-image-svg as it caused duplication of icons.

Can you explain this problem? What browser did you test in?

Final effect:

As noted in Melange and T52843: Use consistent preferences icon, there are two different gears. The other one is at Special:Notifications.

The background-image-svg mixin does not have the attributes specified for this icon, such as no-repeat, which causes something like this:

I will upload a full photo with correct icons in a moment. I was testing on chrome but had cache issues while editing. Screenshot taken in firefox, will take final screenshots in both browsers.

Also, removed Preferences.png in /modules/special. The iconsnow reside in /modules/icons as:
Settings.svg
Settings14px.png
Settings19px.png

Change 177269 had a related patch set uploaded (by Nemo bis):
Fixed preferences icons to be consistent and be svg.

https://gerrit.wikimedia.org/r/177269

Patch-For-Review

Legoktm moved this task from Backlog to In progress on the Notifications board.Jul 6 2015, 7:51 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 7:51 AM
Volker_E changed the task status from Open to Stalled.Feb 23 2016, 8:05 PM
Volker_E lowered the priority of this task from Normal to Lowest.
Volker_E edited projects, added UI-Standardization; removed UI-Standardization-Kanban.
Volker_E removed a subscriber: Vibhabamba.
Volker_E added subscribers: Mooeypoo, Volker_E.

Citing @Mooeypoo from PS 7

Code-Review-1
I am not sure this is the right thing to do anymore. We are migrating the system to oojs-ui which has its own icons (that are supported and designed by the UI standardization team) and these should be the consistent icons we use everywhere.

Qgil removed a subscriber: Qgil.Feb 24 2016, 10:46 AM

Change 177269 abandoned by Catrope:
Fixed preferences icons to be consistent and be svg.

Reason:
This has since been fixed, see e.g. 0271cdd52dcc3d2f51f67cca2e942e95b4c3c859

https://gerrit.wikimedia.org/r/177269

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 12 2018, 4:57 AM